snd_card_disconnect
Prev | Chapter 22. Sound Devices | Next

## Name

snd_card_disconnect — disconnect all APIs from the file-operations (user space)

## Synopsis

`int snd_card_disconnect (` | struct snd_card * | card`)`;

## Arguments

`card`

  soundcard structure

## Description

Disconnects all APIs from the file-operations (user space).

Returns zero, otherwise a negative error code.

## Note

The current implementation replaces all active file->f_op with special dummy file operations (they do nothing except release).

Prev | Up | Next
snd_card_new | Home | snd_card_register